R4i Gold 3ds Rev C and fw 10.7?

Discussion in '3DS - Flashcards & Custom Firmwares' started by hypermuffin, Mar 25, 2016.

  1. hypermuffin
    OP

    hypermuffin Newbie

    Newcomer
    8
    0
    Sep 28, 2014
    United States
    Hi guys,

    I own a R4i Gold 3DS revision C (the one with the metroid prime hunters icon) and I was wondering if this one works with the latest 3DS firmware. Every site that still has it in stock says it does work with firmware 10.7 with the latest wood firmware for it (V1.64) but for me it just gives me the 'An error has occurred' message when I boot it.

    Do I need to update it a certain way for it to work? The instructions say I just need to copy the _rpg folder and _DS_MENU.DAT to the root of the micro sd but it does nothing for me.

    [​IMG]
    This the R4 card. I'm using a sandisk 8gb sdhc micro sd on it.

    Thanks in advance
     
  2. teegeeack

    teegeeack Advanced Member

    Newcomer
    52
    19
    Mar 18, 2016
    United States
    "error has occurred" upon tapping the cartridge icon is a nintendo system message, rather than a flashcart software error message. meaning that the 3DS does not approve of the cart's firmware, and it's not even letting the cart try to load its software.

    wood v1.64 download is a software, not a firmware.

    the firmware update (r4ids.cn calls it a "patch") is a .nds file which must be run once from the flashcart on a DS, DSi, or 3DS console which is capable of booting up the cartridge in the first place. if a firmware update is in fact available but the cart can't boot on a 10.7 3DS in its present condition, then you either need to get hold of a 3DS or DSi which is still on a very old system firmware (probably 6.0 or lower for the 3DS), or any original DS or DS Lite (since DS & Lite never had any ability to forbid flashcarts), in order to run the .nds file on the flashcart and make it gain compatibility with newer 3DS firmware...

    or else you need to patch the 3DS's TWL_FIRM (via hax or CFW) to remove the anti-flashcart restrictions from the 3DS's DS mode. this will allow the flashcart to work, whether or not the cart's firmware is up to date, and the 3DS will also reinstate functionality to a whole bunch of other outdated flashcarts which it would otherwise forbid.
    method described here: https://gbatemp.net/threads/tutorial-patch-twl_firm-to-play-normally-blocked-ds-games.414578/

    those are the two options for making the cart work with a 10.7 3DS. one option might be more convenient for you than the other. if both options are out of the question for you, then unfortunately the cartridge just ain't going to work and you will have to take another chance on a different cart.
     
    Last edited by teegeeack, Mar 26, 2016
  3. hypermuffin
    OP

    hypermuffin Newbie

    Newcomer
    8
    0
    Sep 28, 2014
    United States
    Thank you for the detailed response!

    I will try updating the flashcart via a DS lite. As for the second option, it seems it's not possible with oot3Dhax and 10.7, which is what I have (or am I reading wrong?).
     
  4. A_Random_Guy

    A_Random_Guy Officially That Dev

    Member
    862
    459
    May 22, 2015
    Malaysia
    Smea's closet
    You can downgrade your firmware
     
  5. teegeeack

    teegeeack Advanced Member

    Newcomer
    52
    19
    Mar 18, 2016
    United States
    patching TWL_FIRM requires either an emuNAND or a CFW (like A_Random_Guy said, it's possible to get there by downgrading a stock 10.7 3DS when you have a working hax available like OOT). if you're only using hax on demand without a persistent NAND mod, then you (probably?) can't get past the 3DS's signature verification to install the TWL_FIRM patch.

    go ahead and try to use a DS Lite to fix the flashcart though. that could be all you really need, if you don't want to mess with NAND modding.
     
    Last edited by teegeeack, Mar 26, 2016